Sends data to a connected socket

- « socket_select

- socket_sendmsg »

- PHP Manual
- Socket Functions
- Sends data to a connected socket

# socket_send

(PHP 4 >= 4.1.0, PHP 5, PHP 7, PHP 8)

socket_send — Sends data to a connected socket

### Description

socket_send(
Socket `$socket`,
string `$data`,
int `$length`,
int `$flags`
): int|false

The function socket_send() sends `length` bytes to the socket `socket` from `data`.

### Parameters

`socket`

  A Socket instance created with socket_create() or socket_accept().

`data`

  A buffer containing the data that will be sent to the remote host.

`length`

  The number of bytes that will be sent to the remote host from `data`.

`flags`

  The value of `flags` can be any combination of the following flags, joined with the binary OR (`|`) operator.

  Possible values for `flags`
  `MSG_OOB` | Send OOB (out-of-band) data.
  `MSG_EOR` | Indicate a record mark. The sent data completes the record.
  `MSG_EOF` | Close the sender side of the socket and include an appropriate notification of this at the end of the sent data. The sent data completes the transaction.
  `MSG_DONTROUTE` | Bypass routing, use direct interface.

### Return Values

socket_send() returns the number of bytes sent, or `false` on error.

### Changelog

Version | Description
--- | ---
8.0.0 | `socket` is a Socket instance now; previously, it was a resource.

### See Also

- socket_sendto() - Sends a message to a socket, whether it is connected or not